summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJason Stryker2018-08-17 17:43:36 -0400
committerJason Stryker2018-08-17 17:43:36 -0400
commit2bd61eec6b051db2448bbc0ce93842e601621cd9 (patch)
tree3215b70294b5fa1c2ed04eff7e29cc79c4a044ec
parent9c8170f2ec2109216ce7569e35bf33699588df8e (diff)
downloadaur-2bd61eec6b051db2448bbc0ce93842e601621cd9.tar.gz
update pkgbuild for kernel 4.18
-rw-r--r--.SRCINFO10
-rw-r--r--PKGBUILD6
2 files changed, 8 insertions, 8 deletions
diff --git a/.SRCINFO b/.SRCINFO
index a4d64de35d9..0f1350be7a0 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,14 +1,14 @@
pkgbase = nvidia-vulkan
pkgdesc = NVIDIA drivers for linux (vulkan developer branch)
pkgver = 396.51.02
- pkgrel = 1
+ pkgrel = 2
url = https://developer.nvidia.com/vulkan-driver
arch = x86_64
license = custom
makedepends = libglvnd
makedepends = linux
- makedepends = linux-headers>=4.17
- makedepends = linux-headers<4.18
+ makedepends = linux-headers>=4.18
+ makedepends = linux-headers<4.19
options = !strip
source = NVIDIA-Linux-x86_64-396.51.02.run::https://developer.nvidia.com/linux-3965102
source = nvidia-drm-outputclass.conf
@@ -21,8 +21,8 @@ pkgbase = nvidia-vulkan
pkgname = nvidia-vulkan
pkgdesc = NVIDIA drivers for linux (vulkan developer branch)
- depends = linux>=4.17
- depends = linux<4.18
+ depends = linux>=4.18
+ depends = linux<4.19
depends = nvidia-vulkan-utils=396.51.02
depends = libglvnd
provides = nvidia=396.51.02
diff --git a/PKGBUILD b/PKGBUILD
index 5ad27e374f1..a771e35fa9a 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -9,11 +9,11 @@ pkgbase=nvidia-vulkan
pkgname=('nvidia-vulkan' 'nvidia-vulkan-dkms' 'nvidia-vulkan-utils' 'opencl-nvidia-vulkan' 'lib32-nvidia-vulkan-utils' 'lib32-opencl-nvidia-vulkan')
pkgver=396.51.02
_extramodules=extramodules-ARCH
-pkgrel=1
+pkgrel=2
pkgdesc="NVIDIA drivers for linux (vulkan developer branch)"
arch=('x86_64')
url="https://developer.nvidia.com/vulkan-driver"
-makedepends=('libglvnd' 'linux' 'linux-headers>=4.17' 'linux-headers<4.18')
+makedepends=('libglvnd' 'linux' 'linux-headers>=4.18' 'linux-headers<4.19')
license=('custom')
options=('!strip')
_pkg="NVIDIA-Linux-x86_64-${pkgver}"
@@ -74,7 +74,7 @@ build() {
package_nvidia-vulkan() {
pkgdesc="NVIDIA drivers for linux (vulkan developer branch)"
- depends=('linux>=4.17' 'linux<4.18' "nvidia-vulkan-utils=${pkgver}" 'libglvnd')
+ depends=('linux>=4.18' 'linux<4.19' "nvidia-vulkan-utils=${pkgver}" 'libglvnd')
provides=("nvidia=$pkgver")
conflicts+=('nvidia')